#ifndef _UTIL_H
#define _UTIL_H

#include <avr/io.h>
#include <avr/pgmspace.h>
#include <stdlib.h>
#include <util/delay.h>

#define AUTOPLAY 0
#define N 4
#define INVERTED_MODE 1
#define WIN_CONDITION 2048
#define RING_SIZE 3

struct t_cell {
	int16_t x, y;
};

enum t_bool {
	FALSE = 0,
	TRUE = 1
};

enum t_state {
	CONTINUE = 0,
	WIN,
	LOST
};

enum t_dir {
	LEFT = 1,
	RIGHT = 2,
	UP = 3,
	DOWN = 4,
	NO_DIR = 5
};

#endif